|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
CAN_INTERFACE Struct Reference
MPLABX MCC Melody Code Generator » CAN FD Driver

Structure containing the function pointers of CAN driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/can/can_interface.h>`

Collaboration diagram for CAN_INTERFACE:

## Data Fields
void(* | Initialize )(void)
| Pointer to CANx_Initialize e.g. CAN1_Initialize.
void(* | Deinitialize )(void)
| Pointer to CANx_Deinitialize e.g. CAN1_Deinitialize.
enum CAN_OP_MODE_STATUS(* | OperationModeSet )(const enum CAN_OP_MODES requestMode)
| Pointer to CANx_OperationModeSet e.g. CAN1_OperationModeSet.
enum CAN_OP_MODES(* | OperationModeGet )(void)
| Pointer to CANx_OperationModeGet e.g. CAN1_OperationModeGet.
void(* | SleepMode )(void)
| Pointer to CANx_Sleep e.g. CAN1_Sleep.
bool(* | IsBusOff )(void)
| Pointer to CANx_IsBusOff e.g. CAN1_IsBusOff.
enum CAN_TX_MSG_REQUEST_STATUS(* | Transmit )(const unsigned fifoChannel, struct CAN_MSG_OBJ *txCanMsg)
| Pointer to CANx_Transmit e.g. CAN1_Transmit.
enum CAN_TX_FIFO_STATUS(* | TransmitFIFOStatusGet )(const unsigned fifoChannel)
| Pointer to CANx_TransmitFIFOStatusGet e.g. CAN1_TransmitFIFOStatusGet.
bool(* | IsTxErrorPassive )(void)
| Pointer to CANx_IsTxErrorPassive e.g. CAN1_IsTxErrorPassive.
bool(* | IsTxErrorWarning )(void)
| Pointer to CANx_IsTxErrorWarning e.g. CAN1_IsTxErrorWarning.
bool(* | IsTxErrorActive )(void)
| Pointer to CANx_IsTxErrorActive e.g. CAN1_IsTxErrorActive.
bool(* | Receive )(struct CAN_MSG_OBJ *rxCanMsg)
| Pointer to CANx_Receive e.g. CAN1_Receive.
bool(* | ReceiveMessageGet )(const unsigned fifoChannel, struct CAN_MSG_OBJ *rxCanMsg)
| Pointer to CANx_ReceiveMessageGet e.g. CAN1_ReceiveMessageGet.
bool(* | IsRxErrorPassive )(void)
| Pointer to CANx_IsRxErrorPassive e.g. CAN1_IsRxErrorPassive.
bool(* | IsRxErrorWarning )(void)
| Pointer to CANx_IsRxErrorWarning e.g. CAN1_IsRxErrorWarning.
bool(* | IsRxErrorActive )(void)
| Pointer to CANx_IsRxErrorActive e.g. CAN1_IsRxErrorActive.
uint8_t(* | ReceivedMessageCountGet )(void)
| Pointer to CANx_ReceivedMessageCountGet e.g. CAN1_ReceivedMessageCountGet.
uint8_t(* | RX_FIFO_StatusGet )(const unsigned fifoNum)
| Pointer to CANx_RX_FIFO_StatusGet e.g. CAN1_RX_FIFO_StatusGet.
void(* | InvalidMessageCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_InvalidMessageCallbackRegister e.g. CAN1_InvalidMessageCallbackRegister.
void(* | BusWakeUpActivityCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_BusWakeUpActivityCallbackRegister e.g. CAN1_BusWakeUpActivityCallbackRegister.
void(* | BusErrorCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_BusErrorCallbackRegister e.g. CAN1_BusErrorCallbackRegister.
void(* | ModeChangeCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_ModeChangeCallbackRegister e.g. CAN1_ModeChangeCallbackRegister.
void(* | SystemErrorCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_SystemErrorCallbackRegister e.g. CAN1_SystemErrorCallbackRegister.
void(* | TxAttemptCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_TxAttemptCallbackRegister e.g. CAN1_TxAttemptCallbackRegister.
void(* | RxBufferOverFlowCallbackRegister )(void(*CallbackHandler)(void))
| Pointer to CANx_RxBufferOverFlowCallbackRegister e.g. CAN1_RxBufferOverFlowCallbackRegister.
void(* | Tasks )(void)
| Pointer to CANx_Tasks e.g. CAN1_Tasks (Supported only in polling mode)

## Detailed Description

Definition at line 54 of file can_interface.h.

## Field Documentation

## ◆ BusErrorCallbackRegister

void(* BusErrorCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 116 of file can_interface.h.

## ◆ BusWakeUpActivityCallbackRegister

void(* BusWakeUpActivityCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 113 of file can_interface.h.

## ◆ Deinitialize

void(* Deinitialize) (void)

Definition at line 59 of file can_interface.h.

## ◆ Initialize

void(* Initialize) (void)

Definition at line 56 of file can_interface.h.

## ◆ InvalidMessageCallbackRegister

void(* InvalidMessageCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 110 of file can_interface.h.

## ◆ IsBusOff

bool(* IsBusOff) (void)

Definition at line 71 of file can_interface.h.

## ◆ IsRxErrorActive

bool(* IsRxErrorActive) (void)

Definition at line 101 of file can_interface.h.

## ◆ IsRxErrorPassive

bool(* IsRxErrorPassive) (void)

Definition at line 95 of file can_interface.h.

## ◆ IsRxErrorWarning

bool(* IsRxErrorWarning) (void)

Definition at line 98 of file can_interface.h.

## ◆ IsTxErrorActive

bool(* IsTxErrorActive) (void)

Definition at line 86 of file can_interface.h.

## ◆ IsTxErrorPassive

bool(* IsTxErrorPassive) (void)

Definition at line 80 of file can_interface.h.

## ◆ IsTxErrorWarning

bool(* IsTxErrorWarning) (void)

Definition at line 83 of file can_interface.h.

## ◆ ModeChangeCallbackRegister

void(* ModeChangeCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 119 of file can_interface.h.

## ◆ OperationModeGet

enum CAN_OP_MODES(* OperationModeGet) (void)

Definition at line 59 of file can_interface.h.

## ◆ OperationModeSet

enum CAN_OP_MODE_STATUS(* OperationModeSet) (const enum CAN_OP_MODES requestMode)

Definition at line 59 of file can_interface.h.

## ◆ Receive

bool(* Receive) (struct CAN_MSG_OBJ *rxCanMsg)

Definition at line 89 of file can_interface.h.

## ◆ ReceivedMessageCountGet

uint8_t(* ReceivedMessageCountGet) (void)

Definition at line 104 of file can_interface.h.

## ◆ ReceiveMessageGet

bool(* ReceiveMessageGet) (const unsigned fifoChannel, struct CAN_MSG_OBJ *rxCanMsg)

Definition at line 92 of file can_interface.h.

## ◆ RX_FIFO_StatusGet

uint8_t(* RX_FIFO_StatusGet) (const unsigned fifoNum)

Definition at line 107 of file can_interface.h.

## ◆ RxBufferOverFlowCallbackRegister

void(* RxBufferOverFlowCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 128 of file can_interface.h.

## ◆ SleepMode

void(* SleepMode) (void)

Definition at line 68 of file can_interface.h.

## ◆ SystemErrorCallbackRegister

void(* SystemErrorCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 122 of file can_interface.h.

## ◆ Tasks

void(* Tasks) (void)

Definition at line 131 of file can_interface.h.

## ◆ Transmit

enum CAN_TX_MSG_REQUEST_STATUS(* Transmit) (const unsigned fifoChannel, struct CAN_MSG_OBJ *txCanMsg)

Definition at line 71 of file can_interface.h.

## ◆ TransmitFIFOStatusGet

enum CAN_TX_FIFO_STATUS(* TransmitFIFOStatusGet) (const unsigned fifoChannel)

Definition at line 71 of file can_interface.h.

## ◆ TxAttemptCallbackRegister

void(* TxAttemptCallbackRegister) (void(*CallbackHandler)(void))

Definition at line 125 of file can_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/can/can_interface.h